Bug 426238 - Bugzilla - RPC2 support in xmlrpc.cgi
Summary: Bugzilla - RPC2 support in xmlrpc.cgi
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General   
(Show other bugs)
Version: 3.2
Hardware: All Linux
low
low vote
Target Milestone: ---
Assignee: Noura El hawary
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: RHBZ30UpgradeTracker 427053
TreeView+ depends on / blocked
 
Reported: 2007-12-19 14:52 UTC by Noura El hawary
Modified: 2013-06-24 04:15 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 22:29:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Noura El hawary 2007-12-19 14:52:51 UTC
Bugzilla/RPC2 interface should replace Bugzilla/RPC , advantage in RPC2 is that
all parameters are passed in to the xmlrpc functions in a single hash.

Comment 1 Kevin Baker 2007-12-19 15:21:00 UTC
Hmmm, now that I have engaged my brain I think that this should really be 

"move Red Hat's Bugzilla::RPC & Bugzilla::RPC2 to upstream's 
Bugzilla::WebService"

I think they are passing most parameters by single hash.

Comment 2 Kevin Baker 2007-12-19 15:24:54 UTC
Related to bug id #426239

Comment 3 Noura El hawary 2007-12-19 18:39:21 UTC
A solution foe this bug, That I attempted and it worked was to have another
xmlrpc.cgi file for Bugzilla/RPC2/* called xmlrpc2.cgi which will be exactly
similar to xmlrpc.cgi only little changes will be applied so using historical data 

current LOC in xmlrpc.cgi = 91 LOC 

so it will be similat for xmlrpc2.cgi

Comment 4 David Lawrence 2007-12-20 02:58:34 UTC
(In reply to comment #1)
> Hmmm, now that I have engaged my brain I think that this should really be 
> 
> "move Red Hat's Bugzilla::RPC & Bugzilla::RPC2 to upstream's 
> Bugzilla::WebService"
> 
> I think they are passing most parameters by single hash.

I agree with Kevin. This bug should probably be removed from the requirements
list in favor of just making our current RPC1 API work with the upstream
WebService structure. In doing this we will also feel the benefit of the named
params of RPC2 as upstream is already doing similar in their WebService code.

Do you agree we should close this?

Comment 5 Noura El hawary 2007-12-20 03:05:48 UTC
> Do you agree we should close this?

I agree,, as in the process of making out API work with the upstream we will be
converting the parameters to hashes anyways as how they do already in the
upstream  the have hash ref called $params passed to all of their xmlrpc functions 


Comment 6 Kevin Baker 2007-12-31 22:29:39 UTC
closing


Note You need to log in before you can comment on or make changes to this bug.